Package org.zkoss.stateless.sul

## Interface IRowBase<I extends IRowBase>

- All Superinterfaces:
    `IComponent<I>`, `IHtmlBasedComponent<I>`, `IXulElement<I>`
  All Known Subinterfaces:
    `IGroup<I>`, `IGroupChild<I>`, `IGroupfoot<I>`, `IGroupfootChild<I>`, `IRow<I>`

      public interface IRowBase<I extends IRowBase>
      extends IXulElement<I>

  Immutable `Row` component
  Author:
    katherine
  See Also:
    `Row`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAlign()` | Returns the horizontal alignment of the whole row.
    `default int` | `getIndex()` | Return the index of this item
    `java.lang.String` | `getValign()` | Returns the vertical alignment of the whole row.
    `default boolean` | `isLoaded()` | Return true whether all children of this row, if any, is loaded at client
    `default boolean` | `isNowrap()` | Returns the nowrap.
    `I` | `withAlign​(java.lang.String align)` | Returns a copy of `this` immutable component with the specified `align`.
    `I` | `withIndex​(int index)` | Returns a copy of `this` immutable component with the specified `index`.
    `I` | `withNowrap​(boolean nowrap)` | Returns a copy of `this` immutable component with the specified `align`.
    `I` | `withValign​(java.lang.String valign)` | Returns a copy of `this` immutable component with the specified `align`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetClass, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Method Detail

    - #### getAlign

          @Nullable
          java.lang.String getAlign()

      Returns the horizontal alignment of the whole row.

      Default: null (system default: left unless CSS specified).

    - #### withAlign

          I withAlign​(@Nullable
                      java.lang.String align)

      Returns a copy of `this` immutable component with the specified `align`.

      Sets the horizontal alignment of this whole row.

      Parameters:
        `align` - The horizontal alignment of this row.
      Returns:
        A modified copy of the `this` object

    - #### getValign

          @Nullable
          java.lang.String getValign()

      Returns the vertical alignment of the whole row.

      Default: null (system default: top).

    - #### withValign

          I withValign​(@Nullable
                       java.lang.String valign)

      Returns a copy of `this` immutable component with the specified `align`.

      Sets the vertical alignment of the whole row.

      Parameters:
        `valign` - The vertical alignment of this row.
      Returns:
        A modified copy of the `this` object

    - #### isNowrap

          default boolean isNowrap()

      Returns the nowrap.

      Default: `false` (system default: wrap).

    - #### withNowrap

          I withNowrap​(boolean nowrap)

      Returns a copy of `this` immutable component with the specified `align`.

      Sets the nowrap.

      Parameters:
        `nowrap` - The nowrap of the text.
      Returns:
        A modified copy of the `this` object

    - #### isLoaded

          default boolean isLoaded()

      Return true whether all children of this row, if any, is loaded at client

      Default: `false`

    - #### getIndex

          default int getIndex()

      Return the index of this item

      Default: `-1`, meaning not set

    - #### withIndex

          I withIndex​(int index)

      Returns a copy of `this` immutable component with the specified `index`.

      Sets the index of this component.

      Parameters:
        `index` - The index of the child from its parent component.

        Default: `-1`, meaning not set.

      Returns:
        A modified copy of the `this` object